aboutsummaryrefslogtreecommitdiff
path: root/test/bash
diff options
context:
space:
mode:
Diffstat (limited to 'test/bash')
-rwxr-xr-xtest/bash7
1 files changed, 7 insertions, 0 deletions
diff --git a/test/bash b/test/bash
new file mode 100755
index 00000000..6f52d522
--- /dev/null
+++ b/test/bash
@@ -0,0 +1,7 @@
+#!/bin/sh
+for bash in bash/* bash/bashrc.d/* bash/bash_profile.d/* ; do
+ if [ -f "$bash" ] && ! bash -n "$bash" ; then
+ exit 1
+ fi
+done
+printf 'All bash(1) scripts parsed successfully.\n'